package com.mortals.xhx.module.matter.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:Matter
* date: 2021-9-17 15:55:12
*/
public class MatterQuery extends MatterEntity{
    private static final long serialVersionUID = 1631865312201L;
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长 */
    private List <Long> idList;

    /** 开始 事项id,政务网 */
    private Long matterIdStart;

    /** 结束 事项id,政务网 */
    private Long matterIdEnd;

    /** 增加 事项id,政务网 */
    private Long matterIdIncrement;

    /** 事项id,政务网 */
    private List <Long> matterIdList;


    /** 事项编号 */
    private List<String> matterNoList;

    /** 事项名称 */
    private List<String> matterNameList;

    /** 事项组名 */
    private List<String> groupNameList;

    /** 区域编码 */
    private List<String> areaCodeList;

    /** 部门编号 */
    private List<String> deptCodeList;

    /** 部门名称 */
    private List<String> deptNameList;

    /** 行政权力编号 */
    private List<String> powerCodeList;

    /** 主题编号 */
    private List<String> themeCodeList;

    /** 服务类型编号 */
    private List<String> usertypeCodeList;

    /** 事项详情链接 */
    private List<String> urlList;

    /** 开始 事项来源，0：政务网，1：自定义，默认0 */
    private Integer sourceStart;

    /** 结束 事项来源，0：政务网，1：自定义，默认0 */
    private Integer sourceEnd;

    /** 增加 事项来源，0：政务网，1：自定义，默认0 */
    private Integer sourceIncrement;

    /** 事项来源，0：政务网，1：自定义，默认0 */
    private List <Integer> sourceList;

    /** 创建人名称 */
    private List<String> createUserNameList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 修改人名称 */
    private List<String> updateUserNameList;
    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MatterQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MatterQuery> andConditionList;


    public MatterQuery(){
    }

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 开始 事项id,政务网
    * @return matterIdStart
    */
    public Long getMatterIdStart(){
    return this.matterIdStart;
    }

    /**
    * 设置 开始 事项id,政务网
    * @param matterIdStart
    */
    public void setMatterIdStart(Long matterIdStart){
    this.matterIdStart = matterIdStart;
    }

    /**
    * 获取 结束 事项id,政务网
    * @return matterIdEnd
    */
    public Long getMatterIdEnd(){
    return this.matterIdEnd;
    }

    /**
    * 设置 结束 事项id,政务网
    * @param matterIdEnd
    */
    public void setMatterIdEnd(Long matterIdEnd){
    this.matterIdEnd = matterIdEnd;
    }

    /**
    * 获取 增加 事项id,政务网
    * @return matterIdIncrement
    */
    public Long getMatterIdIncrement(){
    return this.matterIdIncrement;
    }

    /**
    * 设置 增加 事项id,政务网
    * @param matterIdIncrement
    */
    public void setMatterIdIncrement(Long matterIdIncrement){
    this.matterIdIncrement = matterIdIncrement;
    }

    /**
    * 获取 事项id,政务网
    * @return matterIdList
    */
    public List<Long> getMatterIdList(){
    return this.matterIdList;
    }

    /**
    * 设置 事项id,政务网
    * @param matterIdList
    */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
        }
    /**
    * 获取 事项编号
    * @return matterNoList
    */
    public List<String> getMatterNoList(){
        return this.matterNoList;
    }

    /**
    * 设置 事项编号
    * @param matterNoList
    */
    public void setMatterNoList(List<String> matterNoList){
        this.matterNoList = matterNoList;
    }
    /**
    * 获取 事项名称
    * @return matterNameList
    */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
    * 设置 事项名称
    * @param matterNameList
    */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }
    /**
    * 获取 事项组名
    * @return groupNameList
    */
    public List<String> getGroupNameList(){
        return this.groupNameList;
    }

    /**
    * 设置 事项组名
    * @param groupNameList
    */
    public void setGroupNameList(List<String> groupNameList){
        this.groupNameList = groupNameList;
    }
    /**
    * 获取 区域编码
    * @return areaCodeList
    */
    public List<String> getAreaCodeList(){
        return this.areaCodeList;
    }

    /**
    * 设置 区域编码
    * @param areaCodeList
    */
    public void setAreaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
    }
    /**
    * 获取 部门编号
    * @return deptCodeList
    */
    public List<String> getDeptCodeList(){
        return this.deptCodeList;
    }

    /**
    * 设置 部门编号
    * @param deptCodeList
    */
    public void setDeptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
    }
    /**
    * 获取 部门名称
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 部门名称
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }
    /**
    * 获取 行政权力编号
    * @return powerCodeList
    */
    public List<String> getPowerCodeList(){
        return this.powerCodeList;
    }

    /**
    * 设置 行政权力编号
    * @param powerCodeList
    */
    public void setPowerCodeList(List<String> powerCodeList){
        this.powerCodeList = powerCodeList;
    }
    /**
    * 获取 主题编号
    * @return themeCodeList
    */
    public List<String> getThemeCodeList(){
        return this.themeCodeList;
    }

    /**
    * 设置 主题编号
    * @param themeCodeList
    */
    public void setThemeCodeList(List<String> themeCodeList){
        this.themeCodeList = themeCodeList;
    }
    /**
    * 获取 服务类型编号
    * @return usertypeCodeList
    */
    public List<String> getUsertypeCodeList(){
        return this.usertypeCodeList;
    }

    /**
    * 设置 服务类型编号
    * @param usertypeCodeList
    */
    public void setUsertypeCodeList(List<String> usertypeCodeList){
        this.usertypeCodeList = usertypeCodeList;
    }
    /**
    * 获取 事项详情链接
    * @return urlList
    */
    public List<String> getUrlList(){
        return this.urlList;
    }

    /**
    * 设置 事项详情链接
    * @param urlList
    */
    public void setUrlList(List<String> urlList){
        this.urlList = urlList;
    }
    /**
    * 获取 开始 事项来源，0：政务网，1：自定义，默认0
    * @return sourceStart
    */
    public Integer getSourceStart(){
        return this.sourceStart;
    }

    /**
    * 设置 开始 事项来源，0：政务网，1：自定义，默认0
    * @param sourceStart
    */
    public void setSourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
    }

    /**
    * 获取 结束 事项来源，0：政务网，1：自定义，默认0
    * @return sourceEnd
    */
    public Integer getSourceEnd(){
        return this.sourceEnd;
    }

    /**
    * 设置 结束 事项来源，0：政务网，1：自定义，默认0
    * @param sourceEnd
    */
    public void setSourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
    }

    /**
    * 获取 增加 事项来源，0：政务网，1：自定义，默认0
    * @return sourceIncrement
    */
    public Integer getSourceIncrement(){
        return this.sourceIncrement;
    }

    /**
    * 设置 增加 事项来源，0：政务网，1：自定义，默认0
    * @param sourceIncrement
    */
    public void setSourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
    }

    /**
    * 获取 事项来源，0：政务网，1：自定义，默认0
    * @return sourceList
    */
    public List<Integer> getSourceList(){
        return this.sourceList;
    }

    /**
    * 设置 事项来源，0：政务网，1：自定义，默认0
    * @param sourceList
    */
    public void setSourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
    }
    /**
    * 获取 创建人名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建人名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 修改人名称
    * @return updateUserNameList
    */
    public List<String> getUpdateUserNameList(){
        return this.updateUserNameList;
    }

    /**
    * 设置 修改人名称
    * @param updateUserNameList
    */
    public void setUpdateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
    }
    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
    return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
    this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
    return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
    this.updateTimeEnd = updateTimeEnd;
    }


	/**
    * 设置  主键，自增长
    * @param id
    */
    public MatterQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public MatterQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public MatterQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public MatterQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public MatterQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

	/**
    * 设置  事项id,政务网
    * @param matterId
    */
    public MatterQuery matterId(Long matterId){
	    setMatterId(matterId);
		return this;
    }
	
	 /**
    * 设置 开始 事项id,政务网
    * @param matterIdStart
    */
    public MatterQuery matterIdStart(Long matterIdStart){
		this.matterIdStart = matterIdStart;
		return this;
    }

    /**
    * 设置 结束 事项id,政务网
    * @param matterIdEnd
    */
    public MatterQuery matterIdEnd(Long matterIdEnd){
		this.matterIdEnd = matterIdEnd;
		return this;
    }

    /**
    * 设置 增加 事项id,政务网
    * @param matterIdIncrement
    */
    public MatterQuery matterIdIncrement(Long matterIdIncrement){
		this.matterIdIncrement = matterIdIncrement;
		return this;
    }

    /**
    * 设置 事项id,政务网
    * @param matterIdList
    */
    public MatterQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
		return this;
        }
	/**
    * 设置 事项编号
    * @param matterNo
    */
    public MatterQuery matterNo(String matterNo){
        setMatterNo(matterNo);
		return this;
    }


    /**
    * 设置 事项编号
    * @param matterNoList
    */
    public MatterQuery matterNoList(List<String> matterNoList){
        this.matterNoList = matterNoList;
		return this;
    }
	/**
    * 设置 事项名称
    * @param matterName
    */
    public MatterQuery matterName(String matterName){
        setMatterName(matterName);
		return this;
    }


    /**
    * 设置 事项名称
    * @param matterNameList
    */
    public MatterQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
		return this;
    }
	/**
    * 设置 事项组名
    * @param groupName
    */
    public MatterQuery groupName(String groupName){
        setGroupName(groupName);
		return this;
    }


    /**
    * 设置 事项组名
    * @param groupNameList
    */
    public MatterQuery groupNameList(List<String> groupNameList){
        this.groupNameList = groupNameList;
		return this;
    }
	/**
    * 设置 区域编码
    * @param areaCode
    */
    public MatterQuery areaCode(String areaCode){
        setAreaCode(areaCode);
		return this;
    }


    /**
    * 设置 区域编码
    * @param areaCodeList
    */
    public MatterQuery areaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
		return this;
    }
	/**
    * 设置 部门编号
    * @param deptCode
    */
    public MatterQuery deptCode(String deptCode){
        setDeptCode(deptCode);
		return this;
    }


    /**
    * 设置 部门编号
    * @param deptCodeList
    */
    public MatterQuery deptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
		return this;
    }
	/**
    * 设置 部门名称
    * @param deptName
    */
    public MatterQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }


    /**
    * 设置 部门名称
    * @param deptNameList
    */
    public MatterQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }
	/**
    * 设置 行政权力编号
    * @param powerCode
    */
    public MatterQuery powerCode(String powerCode){
        setPowerCode(powerCode);
		return this;
    }


    /**
    * 设置 行政权力编号
    * @param powerCodeList
    */
    public MatterQuery powerCodeList(List<String> powerCodeList){
        this.powerCodeList = powerCodeList;
		return this;
    }
	/**
    * 设置 主题编号
    * @param themeCode
    */
    public MatterQuery themeCode(String themeCode){
        setThemeCode(themeCode);
		return this;
    }


    /**
    * 设置 主题编号
    * @param themeCodeList
    */
    public MatterQuery themeCodeList(List<String> themeCodeList){
        this.themeCodeList = themeCodeList;
		return this;
    }
	/**
    * 设置 服务类型编号
    * @param usertypeCode
    */
    public MatterQuery usertypeCode(String usertypeCode){
        setUsertypeCode(usertypeCode);
		return this;
    }


    /**
    * 设置 服务类型编号
    * @param usertypeCodeList
    */
    public MatterQuery usertypeCodeList(List<String> usertypeCodeList){
        this.usertypeCodeList = usertypeCodeList;
		return this;
    }
	/**
    * 设置 事项详情链接
    * @param url
    */
    public MatterQuery url(String url){
        setUrl(url);
		return this;
    }


    /**
    * 设置 事项详情链接
    * @param urlList
    */
    public MatterQuery urlList(List<String> urlList){
        this.urlList = urlList;
		return this;
    }
	
	/**
    * 设置  事项来源，0：政务网，1：自定义，默认0
    * @param source
    */
    public MatterQuery source(Integer source){
        setSource(source);
		return this;
    }

    /**
    * 设置 开始 事项来源，0：政务网，1：自定义，默认0
    * @param sourceStart
    */
    public MatterQuery sourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
		return this;
    }


    /**
    * 设置 结束 事项来源，0：政务网，1：自定义，默认0
    * @param sourceEnd
    */
    public MatterQuery sourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
		return this;
    }


    /**
    * 设置 增加 事项来源，0：政务网，1：自定义，默认0
    * @param sourceIncrement
    */
    public MatterQuery sourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
		return this;
    }


    /**
    * 设置 事项来源，0：政务网，1：自定义，默认0
    * @param sourceList
    */
    public MatterQuery sourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
		return this;
    }
	/**
    * 设置 创建人名称
    * @param createUserName
    */
    public MatterQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }


    /**
    * 设置 创建人名称
    * @param createUserNameList
    */
    public MatterQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public MatterQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public MatterQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 修改人名称
    * @param updateUserName
    */
    public MatterQuery updateUserName(String updateUserName){
        setUpdateUserName(updateUserName);
		return this;
    }


    /**
    * 设置 修改人名称
    * @param updateUserNameList
    */
    public MatterQuery updateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
		return this;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public MatterQuery updateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
		return this;
    }


    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public MatterQuery updateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<MatterQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<MatterQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<MatterQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<MatterQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}